Subject: Re: [Iptel] tel: URI resolution

From: "Alexeitsev, D" <[email-masked]>
Date: Wed, 5 Mar 2003 09:31:10 +0100

Hello All, Lawrence

comments inline

Hi Folks,
*  Sorry, but I can't find the references:
    (i) RFC2913?
    (ii) section 7.3 example 3?
    Also, note that RFC2169 is Experimental.

[DA] Sorry the RFC number is 2915 "The Naming Authority Pointer (NAPTR) DNS Resource Record"
Yes the RFC2169 is Experimental as for June 1997. Nowadays the mechanisms described in that RFC already present in SIP spec in general form. Tel: URI draft could clarify them and probably propose general solution for resolution on the broader family of protocols (http, sip, smtp,...)

*  Whoa! I suspect that this is the wrong list for ENUM basic operation, but...
    ENUM is used to publish data for a fully qualified E.164 number, not a
    number range. Thus it is NOT probable that "CC, NDC or parts of SN"
    would be used in ENUM; It's all defined in rfc2916 (and rfc2916bis-03.txt).

[DA]Agree, in this case we could simply reference the ENUM work with an example as one of the possible resolution methods.

*  See also ETSI TS 102 172. This covers the European systems (see example
    in there for a syntactically correct "range" suggestion as I think you're
    trying to write here).

*  In general, RFC2806 (and I-Ds 2806bis) cover this topic, with RFC2916
    (and RFC3402-3405 , along with I-Ds 2916bis).
    Thus please explain what this proposal is intended to do. It seems to
    be intended as an alternative, so is DT now changing its position on ENUM?

[DA] Sure there are several RFCs and I-Ds talking about general URI resolution and particular resolution of E.164 numbers. My proposal was to identify and bring them together in a compact form in the TBD section 2.1 of draft-antti-rfc2806bis-08.txt.
If the resolution methods identified in the section 2.1 will not fit in to particular network architecture we may come with the proposal.

Greetings,
Denis Alexeitsev
_______________________________________________
Iptel mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/iptel